## hubzero-wrwroxy 2.1.1

=== Makefile ===
# @package      hubzero-wrwroxy
# @file         Makefile
# @author       Derrick Kearney <dsk@purdue.edu>
# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin

all:
	@true

install:
	install -D wrwroxy.py $(USRBIN)/wrwroxy --mode 0755

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-wrwroxy 2.1.2-1+deb6

=== debian/changelog ===
hubzero-wrwroxy (2.1.2-1+deb6) unstable; urgency=low

  * fix debian build for new build environment

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 11:17:02 -0400

hubzero-wrwroxy (2.1.1-1) unstable; urgency=low

  * Add packaging material

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 10:57:20 -0400

hubzero-wrwroxy (2.1.0-1) stable; urgency=low

  * Initial release.

 -- Derrick Kearney <dsk@purdue.edu>  Tue, 24 Jan 2017 13:41:17 -0500

## hubzero-wrwroxy 2.1.2-1+deb7

=== debian/changelog ===
hubzero-wrwroxy (2.1.2-1+deb7) unstable; urgency=low

  * fix debian build for new build environment

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 11:17:02 -0400

## hubzero-wrwroxy 2.1.2-1+deb8

=== debian/changelog ===
hubzero-wrwroxy (2.1.2-1+deb8) unstable; urgency=low

  * fix debian build for new build environment

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 11:17:02 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-wrwroxy
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-wrwroxy install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-wrwroxy 2.2.0-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-wrwroxy
 # @file         Makefile
-# @author       Derrick Kearney <dsk@purdue.edu>
-# @copyright    Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2016-2017 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-wrwroxy (2.2.0-1+deb8) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 09:54:59 -0400

hubzero-wrwroxy (2.1.2-1) unstable; urgency=low

  * fix debian build for new build environment

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 12 Jun 2017 11:17:02 -0400

=== debian/control ===
Source: hubzero-wrwroxy
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-wrwroxy
Architecture: any
Depends: python (>=2.6), ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero Rewrite proxy for web server based applications running in container
 The Weber ReWRite prOXY runs inside of the HUBzero Platform tool session 
 container, between the Exec Proxy and a web server based (weber)
 application, and forwards connections between the two, rewriting the
 header to remove the HUBzero specific parts of the request path that
 match "/weber/<SESSION>/<TOKEN>/<CONTAINER>/". This allows the weber
 application think it is serving files from the root of the web server.
 The proxy also has the capability of performing light security checks,
 like checking that incoming requests have the correct authentication
 cookie.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-wrwroxy
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-wrwroxy 2.2.1-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-wrwroxy
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-wrwroxy (2.2.1-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 21:31:14 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,12 @@
+
+
+
+
 Source: hubzero-wrwroxy
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), python-support (>=0.8)
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0)     
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-wrwroxy
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
